NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.FlatPatternBuilder Class Reference

Represents a Flat Pattern feature builder. More...

Inheritance diagram for NXOpen.Features.SheetMetal.FlatPatternBuilder:
NXOpen.Features.SheetMetal.SheetmetalBaseBuilder NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink NXOpen.Features.SheetMetal.AeroFlatPatternBuilder

Public Member Functions

unsafe void GenerateMoldLines ()
 Set the flag to generate inner and outer mold lines for flat pattern features created before NX11. More...
 
- Public Member Functions inherited from NXOpen.Features.SheetMetal.SheetmetalBaseBuilder
unsafe
NXOpen.Features.SheetMetal.ApplicationContext 
GetApplicationContext ()
 Get the application context. More...
 
unsafe void SetApplicationContext (NXOpen.Features.SheetMetal.ApplicationContext appContext)
 Set the application context. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Section AddedGeometry [get]
 Returns the added geometry selection More...
 
unsafe bool Associative [get, set]
 Returns or sets the setting which decides whether the flattened solid will be associative to parent body. More...
 
unsafe bool FixAtTimestamp [get, set]
 Returns or sets the setting which decides whether the flattened solid will be fixed at timestamp. More...
 
unsafe string FlatPatternViewName [get]
 Returns the flat pattern view name string More...
 
unsafe
NXOpen.Features.SheetMetal.HoleTreatmentBuilder 
HoleTreatment [get]
 Returns the hole treatment object ** This is applicable to flat pattern features created in NX12 and later release. More...
 
unsafe
NXOpen.Features.SheetMetal.CornerTreatmentBuilder 
InnerCornerTreatment [get]
 Returns the inner corner treatment corner object More...
 
unsafe
NXOpen.Features.SheetMetal.FlatSolidBuilder.OrientationType 
Orientation [get, set]
 Returns or sets the option which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
unsafe NXOpen.CoordinateSystem OrientationCsys [get, set]
 Returns or sets the orientation csys ** This is applicable to flat pattern features created (or renewed) in NX12 and later release. More...
 
unsafe
NXOpen.Features.SheetMetal.CornerTreatmentBuilder 
OuterCornerTreatment [get]
 Returns the outer corner treatment corner object More...
 
unsafe NXOpen.Point3d ReferenceVertex [get, set]
 Returns or sets the end of the edge where the tangent will define the x axis for flat as solid. More...
 
unsafe bool ShowInteriorFeatureCurves [get, set]
 Returns or sets the show interior feature curves toggle value More...
 
unsafe bool TransformToAbsoluteCsys [get, set]
 Returns or sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. More...
 
unsafe NXOpen.SelectFace UpwardFace [get]
 Returns the upward face selection More...
 
unsafe NXOpen.SelectEdge XAxisEdge [get]
 Returns the x axis edge selection. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Flat Pattern feature builder.

To create a new instance of this class, use NXOpen.Features.SheetMetal.SheetmetalManager.CreateFlatPatternBuilder

Default values.

Property Value

Associative

true

InnerCornerTreatment.TreatmentType

None

InnerCornerTreatment.UseGlobal

1

InnerCornerTreatment.Value.Value

0 (millimeters part), 0 (inches part)

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.FlatPatternBuilder.GenerateMoldLines ( )
inline

Set the flag to generate inner and outer mold lines for flat pattern features created before NX11.

Created in NX11.0.0

License requirements: nx_sheet_metal ("NX Sheet Metal")

Property Documentation

unsafe NXOpen.Section NXOpen.Features.SheetMetal.FlatPatternBuilder.AddedGeometry
get

Returns the added geometry selection

Created in NX6.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.FlatPatternBuilder.Associative
getset

Returns or sets the setting which decides whether the flattened solid will be associative to parent body.

** This is applicable to flat pattern features created in NX12 and later release. ** Cannot change during feature edit if the feature was created as non associative.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.FlatPatternBuilder.FixAtTimestamp
getset

Returns or sets the setting which decides whether the flattened solid will be fixed at timestamp.

** This is applicable to flat pattern features created in NX12 and later release. ** Cannot change during feature edit if the feature was created as fixed at timestamp.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe string NXOpen.Features.SheetMetal.FlatPatternBuilder.FlatPatternViewName
get

Returns the flat pattern view name string

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.HoleTreatmentBuilder NXOpen.Features.SheetMetal.FlatPatternBuilder.HoleTreatment
get

Returns the hole treatment object ** This is applicable to flat pattern features created in NX12 and later release.

Created in NX12.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.CornerTreatmentBuilder NXOpen.Features.SheetMetal.FlatPatternBuilder.InnerCornerTreatment
get

Returns the inner corner treatment corner object

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.FlatSolidBuilder.OrientationType NXOpen.Features.SheetMetal.FlatPatternBuilder.Orientation
getset

Returns or sets the option which decides if the flattened solid will be transformed to Absolute CSYS.

** This flag will only be used if the Upward face belongs to a formed sheet metal body. ** If a face from a flat solid is selected, this value will be ignored. ** This is applicable to flat solid / flat pattern features created (or renewed) to NX12 and later release.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.CoordinateSystem NXOpen.Features.SheetMetal.FlatPatternBuilder.OrientationCsys
getset

Returns or sets the orientation csys ** This is applicable to flat pattern features created (or renewed) in NX12 and later release.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.Features.SheetMetal.CornerTreatmentBuilder NXOpen.Features.SheetMetal.FlatPatternBuilder.OuterCornerTreatment
get

Returns the outer corner treatment corner object

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Point3d NXOpen.Features.SheetMetal.FlatPatternBuilder.ReferenceVertex
getset

Returns or sets the end of the edge where the tangent will define the x axis for flat as solid.

This value will only ** be used when a face from a formed solid body is picked as Upward face. If a face from a flat solid is selected, ** this value will be ignored.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.FlatPatternBuilder.ShowInteriorFeatureCurves
getset

Returns or sets the show interior feature curves toggle value

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe bool NXOpen.Features.SheetMetal.FlatPatternBuilder.TransformToAbsoluteCsys
getset

Returns or sets the flag which decides if the flattened solid will be transformed to Absolute CSYS.

This flag will only be ** used if the Upward face belongs to a formed sheet metal body. If a face from a flat solid is selected, ** this value will be ignored. ** This is applicable to flat solid / flat pattern features created before NX12 release and not yet renewed. ** The API can not be deprecated because it is required to edit features created before NX12 release. ** But user should modify automation programs written before NX12 and replace use this option with the orientation option, ** before using the program to create new features in NX12 or later.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")

unsafe NXOpen.SelectFace NXOpen.Features.SheetMetal.FlatPatternBuilder.UpwardFace
get

Returns the upward face selection

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.SelectEdge NXOpen.Features.SheetMetal.FlatPatternBuilder.XAxisEdge
get

Returns the x axis edge selection.

This edge selection is necessary when a face from a formed ** solid body is picked as Upward face. If a face from a flat solid is selected, ** this value will be ignored.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.